complexType "FloatingPriceLeg"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 5 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | calculationPeriodsSchedule??, commodity, notionalQuantity, totalNotionalQuantity, calculation?
</...>

Content Model Elements (5):

  calculation (in floatingLeg),
  calculationPeriodsSchedule (defined in CommodityCalculationPeriods.model group),
  commodity (in floatingLeg),
  notionalQuantity,
  totalNotionalQuantity

All Direct / Indirect Based Elements (1):

  floatingLeg

Known Usage Locations

- As direct type of elements (1):
  floatingLeg

Annotation
Floating Price Leg of a Commodity Swap. Each 'floatingLeg' defines a series of financial payments for a commodity the value of which is derived from a floating price such as an exchange or an index publication.
Type Definition Detail

Type Derivation Tree Leg (extension) CommoditySwapLeg (extension) FinancialSwapLeg (extension) FloatingPriceLeg

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="FloatingPriceLeg"> <xsd:complexContent> <xsd:extension base="FinancialSwapLeg"> <xsd:sequence> <xsd:group minOccurs="0" ref="CommodityCalculationPeriods.model"/> <xsd:element name="commodity" type="Commodity"/> <xsd:group ref="CommodityNotionalQuantity.model"/> <xsd:element minOccurs="0" name="calculation" type="FloatingLegCalculation"/> <!--View Generation: SKIPPED - Documentation--> <!--View Generation: SKIPPED - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/5)
calculation

  Type: | FloatingLegCalculation, complex content

  Defines details relevant to the calculation of the floating price.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculation" type="FloatingLegCalculation"/>

commodity

  Type: | Commodity, complex content

  Specifies the underlying instrument. Only underlyers of type Commodity are supported.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="commodity" type="Commodity"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.